/*
 *  utime.c
 *			Additions to Pure-C for UN*X compatibility
 *
 *  11/19/99  Bodo Wenzel  "utime()"
 */

#include <ext.h>
#include <stdio.h>
#include <time.h>

#include "utime.h"

int utime(const char *__path,struct utimbuf *__buf) {
/*-------------------------------------------------*/
struct tm     *t1;
struct ftime  t2;
int           f;
int           r;

t1=localtime(&(__buf->modtime));
t2.ft_tsec =t1->tm_sec;
t2.ft_min  =t1->tm_min;
t2.ft_hour =t1->tm_hour;
t2.ft_day  =t1->tm_mday;
t2.ft_month=t1->tm_mon+1;
t2.ft_year =t1->tm_year-80;

if ((f=open(__path,O_RDONLY))<0)
  return -1;

r=setftime(f,&t2);
close(f);
return r;
}
