/* Posix dirent.h for Pure-C, very simple.  */

#ifndef _DIRENT_H
#define _DIRENT_H

#include <ext.h>

struct dirent {
  char d_name[13];
  };

typedef struct {
  char          *__d_dirname;
  struct dirent __d_dirent;
  struct ffblk  __d_ffblk;
  int           __d_find_first_called;
} DIR;

DIR *opendir(const char *name);
struct dirent *readdir(DIR *dir);
void rewinddir(DIR *dir);
int closedir(DIR *dir);

#endif
